Package org.eclipse.emf.cdo.common.util

# Interface ResourceSetConfigurer.Registry

Enclosing interface:
  ResourceSetConfigurer

public static interface ResourceSetConfigurer.Registry
A global registry for `resource set configurers`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ResourceSetConfigurer.Registry.ResourceSetConfiguration`
A resource set `adapter` that carries the `results` of all `resource set configurers` that configured the adapted resource set.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ResourceSetConfigurer.Registry`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`ResourceSetConfigurer.Registry.ResourceSetConfiguration`
`configureResourceSet(ResourceSet resourceSet, Object context)`
`ResourceSetConfigurer.Registry.ResourceSetConfiguration`
`configureResourceSet(ResourceSet resourceSet, Object context, org.eclipse.net4j.util.container.IManagedContainer container)`
`ResourceSetConfigurer.Registry.ResourceSetConfiguration`
`configureResourceSet(ResourceSet resourceSet, Object context, org.eclipse.net4j.util.container.IManagedContainer container, String type)`
`ResourceSetConfigurer`
`getConfigurer(org.eclipse.net4j.util.container.IManagedContainer container, String type)`

## Field Details

### INSTANCE

static final ResourceSetConfigurer.Registry INSTANCE

## Method Details

### getConfigurer

ResourceSetConfigurer getConfigurer(org.eclipse.net4j.util.container.IManagedContainer container, String type)

### configureResourceSet

ResourceSetConfigurer.Registry.ResourceSetConfiguration configureResourceSet(ResourceSet resourceSet, Object context, org.eclipse.net4j.util.container.IManagedContainer container)

### configureResourceSet

ResourceSetConfigurer.Registry.ResourceSetConfiguration configureResourceSet(ResourceSet resourceSet, Object context, org.eclipse.net4j.util.container.IManagedContainer container, String type)

Since:
  4.15

### configureResourceSet

ResourceSetConfigurer.Registry.ResourceSetConfiguration configureResourceSet(ResourceSet resourceSet, Object context)